%global srcname testrepository

Name:           python-%{srcname}
Version:        0.0.20
Release:        %mkrel 3
Summary:        A repository of test results
Group:          Development/Python
License:        ASL2.0 or BSD
URL:            https://launchpad.net/testrepository
Source0:        https://pypi.python.org/packages/source/t/%{srcname}/%{srcname}-%version.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
This project provides a database of test results which can be used as
part of developer workflow to ensure/check things like:
* No commits without having had a test failure, test fixed cycle.
* No commits without new tests being added.
* What tests have failed since the last commit (to run just a subset).
*What tests are currently failing and need work.

%package -n     python3-%{srcname}
Summary:        A repository of test results
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{srcname}
This project provides a database of test results which can be used as
part of developer workflow to ensure/check things like:
* No commits without having had a test failure, test fixed cycle.
* No commits without new tests being added.
* What tests have failed since the last commit (to run just a subset).
*What tests are currently failing and need work.

This is the Python 3 version of the package.

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/testr{,-%{python3_version}}
popd

%py2_install

%files
%{_bindir}/testr
%{python2_sitelib}/*

%files -n python3-%{srcname}
%{_bindir}/testr-%{python3_version}
%{python3_sitelib}/*


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.0.20-3.mga6
+ Revision: 971213
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 daviddavid <daviddavid> 0.0.20-2.mga6
+ Revision: 889840
- add python3 package
- use new python macros

* Mon Aug 31 2015 fwang <fwang> 0.0.20-1.mga6
+ Revision: 871507
- update file list
- add spec

  + bcornec <bcornec>
    - Created package structure for python-testrepository.

